Get

[POST] .../v1/docpaymentaggregation/get

Returns documents aggregated payments. Use this read-only method to retrieve aggregated payment documents for finance registers and payment aggregation screens. The response returns paged aggregation documents visible to the current user through account access and supports filters by id, firm_id, date and performed. The caller must have payment aggregation select permission. Missing body, denied permission, invalid filters or sort_orders, invalid current-user context and storage errors are returned as HTTP 200 ErrorResult business errors.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.
limit Int32 Optional Returned data limit for the request. The default and maximum values are defined by the server-side query_limit setting.
offset Int32 Optional Offset from the beginning of the result set. Negative values are treated as 0.
sort_orders Array of DocPaymentAggregationColumn Optional Sort orders. Allowed columns are defined by DocPaymentAggregationColumns.

Filterable Fields

Field Type Description
date int
end_date int Period end date as Unix time in seconds.
firm_id int Company IDs.
id int Aggregated payment document IDs.
performed bool Document posting state: true - posted, false - not posted.
start_date int Period start date as Unix time in seconds.

Sortable Fields

Field
amount
code
date
firm.name
id
last_update
performed
type.name

Request Example

{
  "filters": [
    {
      "field": "firm_id",
      "operator": "In",
      "value": "2"
    },
    {
      "field": "date",
      "operator": "GreaterOrEqual",
      "value": "1711929600"
    },
    {
      "field": "date",
      "operator": "LessOrEqual",
      "value": "1714521599"
    },
    {
      "field": "performed",
      "operator": "Equal",
      "value": "true"
    }
  ],
  "sort_orders": [
    {
      "column": "date",
      "direction": "DESC"
    },
    {
      "column": "amount",
      "direction": "DESC"
    }
  ],
  "limit": 50,
  "offset": 0
}

Response Parameters

Name Type Description
next_offset Int32 Offset for the next data page.
ok Boolean Indicates whether the request completed successfully.
result Array of DocPaymentAggregation Result array.
total Int64 Total number of result items.

Response Example

{
  "ok": true,
  "result": [
    {
      "id": 17,
      "firm": {
        "id": 2,
        "name": "REGOS Retail"
      },
      "date": 1714521600,
      "code": "PAG-000017",
      "type": {
        "id": 3,
        "name": "Bank transfer"
      },
      "amount": 12500000.000,
      "performed": true,
      "last_update": 1714525200
    }
  ],
  "next_offset": 0,
  "total": 1
}